%define module_name Text-FIGlet
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(Symbol.pm) perl(Test/Differences.pm) perl(Text/Wrap.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.19.4
Release: alt1
Summary: provide FIGlet abilities, akin to banner i.e; ASCII art
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JP/JPIERCE/%{module_name}-%{version}.tgz
BuildArch: noarch

%description
Text::FIGlet reproduces its input using large characters made up of
other characters; usually ASCII, but not necessarily. The output is similar
to that of many banner programs--although it is not oriented sideways--and
reminiscent of the sort of *signatures* many people like to put at the end
of e-mail and UseNet messages.

Text::FIGlet can print in a variety of fonts, both left-to-right and
right-to-left, with adjacent characters kerned and *smushed* together in
various ways. FIGlet fonts are stored in separate files, which can be
identified by the suffix *.flf*. Most FIGlet font files will be stored in
FIGlet's default font directory /usr/games/lib/figlet. Support for TOIlet
fonts **.tlf*, which are typically in the same location, has also been added.

Text::FIGlet can also use control files, which tell it to map input characters
to others, similar to the Unix tr command. Control files can be identified by
the suffix *.flc*. Most control files will be stored with the system fonts,
as some fonts use control files to provide access to foreign character sets.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc CHANGES TODO README doc
%perl_vendor_privlib/T*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
* Sat Aug 25 2018 Igor Vlasenko <viy@altlinux.ru> 2.19.4-alt1
- regenerated from template by package builder

* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 2.19.3-alt1
- initial import by package builder

